# Not noarch, but nothing to strip:
%define debug_package %{nil}

#for the gid creation
#%%bcond_without  fedora
%global username ctapiusers

Name:           ctapi-common
Version:        1.1
Release:        6.1%{?dist}
Summary:        Common files and packaging infrastructure for CT-API modules

Group:          System Environment/Libraries
License:        MIT
URL:            http://fedoraproject.org/
Requires(pre):	shadow-utils

Provides:       group(%username)

Source0:        %{name}.LICENSE
Source1:        %{name}.README
#BuildRequires:  fedora-usermgmt-devel
#%%{?FE_USERADD_REQ}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre):  shadow-utils

%description
%{summary}.


%prep
%setup -c -T
install -pm 644 %{SOURCE0} LICENSE
install -pm 644 %{SOURCE1} README


%build
echo %{_libdir}/ctapi > ctapi.conf


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 ctapi.conf \
    $RPM_BUILD_ROOT/etc/ld.so.conf.d/ctapi-%{_target_cpu}.conf
install -dm 755 $RPM_BUILD_ROOT%{_libdir}/ctapi


%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group %username >/dev/null || groupadd -r %username || :

%files
%defattr(-,root,root,-)
%doc LICENSE README
# Hardcoded /etc in README -> hardcoded here.
/etc/ld.so.conf.d/ctapi-%{_target_cpu}.conf
%{_libdir}/ctapi/



%changelog

